# Class ExportedMessageDto | EchoHub Documentation

# Class ExportedMessageDto

Namespace
  EchoHub.Core.DTOs

Assembly
  EchoHub.Core.dll

    public record ExportedMessageDto : IEquatable<ExportedMessageDto>

Inheritance
  object
  ExportedMessageDto

Implements
  IEquatable<ExportedMessageDto>

Inherited Members
  object.GetType()
  object.MemberwiseClone()
  object.Equals(object, object)
  object.ReferenceEquals(object, object)

## Constructors

### ExportedMessageDto(ExportedMessageDto)

    protected ExportedMessageDto(ExportedMessageDto original)

#### Parameters

`original` ExportedMessageDto

### ExportedMessageDto(Guid, string, DateTimeOffset, string, Guid?)

    public ExportedMessageDto(Guid Id, string ChannelName, DateTimeOffset SentAt, string Content, Guid? ReplyToMessageId)

#### Parameters

`Id` Guid
`ChannelName` string
`SentAt` DateTimeOffset
`Content` string
`ReplyToMessageId` Guid?

## Properties

### ChannelName

    public string ChannelName { get; init; }

#### Property Value

string

### Content

    public string Content { get; init; }

#### Property Value

string

### EqualityContract

    protected virtual Type EqualityContract { get; }

#### Property Value

Type

### Id

    public Guid Id { get; init; }

#### Property Value

Guid

### ReplyToMessageId

    public Guid? ReplyToMessageId { get; init; }

#### Property Value

Guid?

### SentAt

    public DateTimeOffset SentAt { get; init; }

#### Property Value

DateTimeOffset

## Methods

### Deconstruct(out Guid, out string, out DateTimeOffset, out string, out Guid?)

    public void Deconstruct(out Guid Id, out string ChannelName, out DateTimeOffset SentAt, out string Content, out Guid? ReplyToMessageId)

#### Parameters

`Id` Guid
`ChannelName` string
`SentAt` DateTimeOffset
`Content` string
`ReplyToMessageId` Guid?

### Equals(ExportedMessageDto?)

    public virtual bool Equals(ExportedMessageDto? other)

#### Parameters

`other` ExportedMessageDto

#### Returns

bool

### Equals(object?)

    public override bool Equals(object? obj)

#### Parameters

`obj` object

#### Returns

bool

### GetHashCode()

    public override int GetHashCode()

#### Returns

int

### PrintMembers(StringBuilder)

    protected virtual bool PrintMembers(StringBuilder builder)

#### Parameters

`builder` StringBuilder

#### Returns

bool

### ToString()

    public override string ToString()

#### Returns

string

## Operators

### operator ==(ExportedMessageDto?, ExportedMessageDto?)

    public static bool operator ==(ExportedMessageDto? left, ExportedMessageDto? right)

#### Parameters

`left` ExportedMessageDto
`right` ExportedMessageDto

#### Returns

bool

### operator !=(ExportedMessageDto?, ExportedMessageDto?)

    public static bool operator !=(ExportedMessageDto? left, ExportedMessageDto? right)

#### Parameters

`left` ExportedMessageDto
`right` ExportedMessageDto

#### Returns

bool